# skidge

[Home](https://sr.ht/~nicoco/slidge) |
[Docs](https://slidge.im/skidge) |
[Issues](https://todo.sr.ht/~nicoco/skidge) |
[Patches](https://lists.sr.ht/~nicoco/public-inbox) |
[Chat](xmpp:slidge@conference.nicoco.fr?join)

A
[feature-rich](https://slidge.im/skidge/features.html)
[Skype](https://skype.com/) to
[XMPP](https://xmpp.org/) puppeteering
[gateway](https://xmpp.org/extensions/xep-0100.html), based on
[slidge](https://slidge.im) and
[skpy](https://skpy.t.allofti.me/).

[![builds.sr.ht status](https://builds.sr.ht/~nicoco/skidge/commits/master/ci.yml.svg)](https://builds.sr.ht/~nicoco/skidge/commits/master/ci.yml)
[![containers status](https://builds.sr.ht/~nicoco/skidge/commits/master/container.yml.svg)](https://builds.sr.ht/~nicoco/skidge/commits/master/container.yml)
[![pypi status](https://badge.fury.io/py/skidge.svg)](https://pypi.org/project/skidge/)

## Installation

Refer to the [slidge admin documentation](https://slidge.im/core/admin/)
for general info on how to set up an XMPP server component.

### Containers

From [dockerhub](https://hub.docker.com/r/nicocool84/skidge)

```sh
docker run docker.io/nicocool84/skidge
```

### Python package

With [pipx](https://pypa.github.io/pipx/):

```sh

# for the latest stable release (if any)
pipx install skidge

# for the bleeding edge
pipx install skidge \
    --pip-args='--extra-index-url https://slidge.im/repo'

skidge --help
```

## Dev

```sh
git clone https://git.sr.ht/~nicoco/skidge
cd skidge
docker-compose up
```
