# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['skidge']

package_data = \
{'': ['*']}

install_requires = \
['skpy>=0.10.5,<0.11.0', 'slidge==0.1.2']

entry_points = \
{'console_scripts': ['skidge = skidge.__main__:main']}

setup_kwargs = {
    'name': 'skidge',
    'version': '0.0.0.dev0+20240516.git09dfcf0ac3',
    'description': '',
    'long_description': "# skidge\n\n[Home](https://sr.ht/~nicoco/slidge) |\n[Docs](https://slidge.im/skidge) |\n[Issues](https://todo.sr.ht/~nicoco/skidge) |\n[Patches](https://lists.sr.ht/~nicoco/public-inbox) |\n[Chat](xmpp:slidge@conference.nicoco.fr?join)\n\nA\n[feature-rich](https://slidge.im/skidge/features.html)\n[Skype](https://skype.com/) to\n[XMPP](https://xmpp.org/) puppeteering\n[gateway](https://xmpp.org/extensions/xep-0100.html), based on\n[slidge](https://slidge.im) and\n[skpy](https://skpy.t.allofti.me/).\n\n[![builds.sr.ht status](https://builds.sr.ht/~nicoco/skidge/commits/master/ci.yml.svg)](https://builds.sr.ht/~nicoco/skidge/commits/master/ci.yml)\n[![containers status](https://builds.sr.ht/~nicoco/skidge/commits/master/container.yml.svg)](https://builds.sr.ht/~nicoco/skidge/commits/master/container.yml)\n[![pypi status](https://badge.fury.io/py/skidge.svg)](https://pypi.org/project/skidge/)\n\n## Installation\n\nRefer to the [slidge admin documentation](https://slidge.im/core/admin/)\nfor general info on how to set up an XMPP server component.\n\n### Containers\n\nFrom [dockerhub](https://hub.docker.com/r/nicocool84/skidge)\n\n```sh\ndocker run docker.io/nicocool84/skidge\n```\n\n### Python package\n\nWith [pipx](https://pypa.github.io/pipx/):\n\n```sh\n\n# for the latest stable release (if any)\npipx install skidge\n\n# for the bleeding edge\npipx install skidge \\\n    --pip-args='--extra-index-url https://slidge.im/repo'\n\nskidge --help\n```\n\n## Dev\n\n```sh\ngit clone https://git.sr.ht/~nicoco/skidge\ncd skidge\ndocker-compose up\n```\n",
    'author': 'nicoco',
    'author_email': 'nicoco@nicoco.fr',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
